GDBserver

Classes | Enumerations | Variables
nto-low.h File Reference

Go to the source code of this file.

## Classes
struct | nto_target_ops

## Enumerations
enum | regset_type { NTO_REG_GENERAL, NTO_REG_FLOAT, NTO_REG_SYSTEM, NTO_REG_ALT, NTO_REG_END }

## Variables
struct nto_target_ops | the_low_target
const struct target_desc * | nto_tdesc

## Enumeration Type Documentation

## ◆ regset_type

enum regset_type

Enumerator
NTO_REG_GENERAL |
NTO_REG_FLOAT |
NTO_REG_SYSTEM |
NTO_REG_ALT |
NTO_REG_END |

Definition at line 24 of file nto-low.h.

## Variable Documentation

## ◆ nto_tdesc

const struct target_desc* nto_tdesc

Definition at line 38 of file nto-low.c.

Referenced by do_attach(), and nto_x86_arch_setup().

## ◆ the_low_target

struct nto_target_ops the_low_target

Definition at line 2955 of file linux-aarch64-low.c.